INCLUDES = -I$(top_srcdir)/lib/compat  -I$(top_srcdir)/lib/interfaces  -I$(top_srcdir)/lib/sourceinfo  $(all_includes)

noinst_LTLIBRARIES = libkdevutil.la

libkdevutil_la_SOURCES = blockingkprocess.cpp configwidgetproxy.cpp domutil.cpp \
	execcommand.cpp filetemplate.cpp kdeveditorutil.cpp kdevjobtimer.cpp \
	kdevshellwidget.cpp tdescriptactionmanager.cpp rurl.cpp settings.cpp urlutil.cpp

METASOURCES = AUTO

tdevelopincludedir = $(includedir)/tdevelop/util
tdevelopinclude_HEADERS = domutil.h execcommand.h filetemplate.h urlutil.h \
	configwidgetproxy.h rurl.h tdescriptactionmanager.h

DOXYGEN_REFERENCES = dcop interfaces tdecore tdefx tdeui tdehtml tdemdi tdeio kjs tdeparts tdeutils kdevextensions kdevinterfaces
DOXYGEN_PROJECTNAME = KDevelop Utility Library
DOXYGEN_DOCDIRPREFIX = kdev
include ../../Doxyfile.am

noinst_HEADERS = blockingkprocess.h kdeveditorutil.h kdevjobtimer.h \
	kdevshellwidget.h settings.h
